de.esprit.appsuite.gui.tree

## Class AbstractPathTreeNodeUpdater

- java.lang.Object
- - de.esprit.common.gui.tree.TreeModelListenerAdapter
  - - de.esprit.appsuite.gui.tree.PathTreeNodeSelector
    - - de.esprit.appsuite.gui.tree.AbstractPathTreeNodeUpdater

- All Implemented Interfaces:
    Executable, java.util.EventListener, javax.swing.event.TreeModelListener
  Direct Known Subclasses:
    PathTreeNodeMover

      public abstract class AbstractPathTreeNodeUpdater
      extends PathTreeNodeSelector
      implements Executable

  This adapter updates the given `Path` in the `PathTree`. The isExpand flag stores the current expansion state in the tree and ensures that the node will be re-expanded after being updated.
  Author:
    Rainer Buesch

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractPathTreeNodeUpdater(PathTree tree, java.nio.file.Path path, ChangeType changeType, boolean isExpand)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `execute()`
    `protected abstract void` | `updatePath(java.nio.file.Path path)`

    - ### Methods inherited from class de.esprit.appsuite.gui.tree.PathTreeNodeSelector

      `getModel, getPath, treeNodesChanged, treeNodesInserted, treeNodesRemoved`

    - ### Methods inherited from class de.esprit.common.gui.tree.TreeModelListenerAdapter

      `deregister, handleEvent, treeStructureChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractPathTreeNodeUpdater

          public AbstractPathTreeNodeUpdater(PathTree tree,
                                     java.nio.file.Path path,
                                     ChangeType changeType,
                                     boolean isExpand)

  - ### Method Detail

    - #### execute

          public final void execute()
                             throws java.lang.Exception

      Specified by:
        `execute` in interface `Executable`
      Throws:
        `java.lang.Exception`

    - #### updatePath

          protected abstract void updatePath(java.nio.file.Path path)
                                      throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2011 EsprIT-Systems. All Rights Reserved.